//
//  BsBaseurlManager.swift
//  BaiSiSMApp
//
//  Created by davidhuang on 2022/10/17.
//  Copyright © 2022 www.davidhuang.com. All rights reserved.
//

// MARK: - 管理项目开发中需要使用到的域名地址
class YHBaseUrlManager {
    //单例
    static let shared = YHBaseUrlManager()
    
    //测试环境
    static let baseUrlForTest : String = "https://test-app-go-api.galaxy-immi.com" //APP 使用域名
    //正式环境
    static let baseUrlForRelease : String = "https://app-go-api.galaxy-immi.com"
    // UAT灰度环境
    static let baseUrlForUat: String = "https://uat-go-api.galaxy-immi.com"
    
    
    func curURL() -> String {
#if DEBUG
        return YHBaseUrlManager.baseUrlForTest + "/"
#elseif TESTENV
        return YHBaseUrlManager.baseUrlForTest + "/"
#elseif UATENV
        return YHBaseUrlManager.baseUrlForUat + "/"
#else
        return YHBaseUrlManager.baseUrlForRelease + "/"
#endif
    }
    
    //ossUrl
    func curOssURL() -> String {
        return YHConfigManager.shared.ossUrl
    }
    
    //h5Url
    func curH5URL() -> String {
        return YHConfigManager.shared.h5Url
    }
    
    //隐私协议 PrivacyAgreement
    func curPrivacyAgreementUrl() -> String {
        return curH5URL() + "superApp/ganglife"
    }
    
    //用户政策 UserItems
    func curUserItemsUrl() -> String {
        return curH5URL() + "superApp/service"
    }
}
